logo
OpenapiOrders

Get user order items

API Docs with browser client
GET
/orders/items

Retrieve all order items for the current user, sorted by creation date in descending order.

AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "http://backend.astra.namefi.dev/v-next/orders/items"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",
    "normalizedDomainName": "string",
    "amountInUSDCents": -2147483648,
    "durationInYears": -2147483648,
    "type": "REGISTER",
    "registrar": "string",
    "encryptionKeyId": "string",
    "encryptedEppAuthorizationCode": "string",
    "status": "CREATED",
    "metadata": {
      "freeClaim": true,
      "groupOrCampaignKey": "string",
      "claimId": "string",
      "mintTransaction": {
        "txHash": "string",
        "recordedAt": "string"
      },
      "postProcessOrderItem": {
        "actions": [
          {
            "scope": "dns-records",
            "action": "add",
            "records": [
              {
                "name": "string",
                "type": "A",
                "rdata": "string",
                "ttl": 2147483647
              }
            ]
          }
        ],
        "property1": null,
        "property2": null
      },
      "requiredAction": "EPP_UNLOCK_REQUIRED",
      "failureDetails": {
        "requiredAction": "EPP_UNLOCK_REQUIRED",
        "resolution": "USER_SIGNAL",
        "actor": "USER",
        "actorId": "string",
        "timeoutMs": -9007199254740991,
        "recordedAt": "string"
      },
      "backfilled_started_finished_at": true,
      "legacyOrderItemMetadata": {
        "source": "legacy",
        "type": "legacy-migration",
        "legacyItemId": "string",
        "chainId": 1,
        "receivingWalletAddress": "string"
      },
      "property1": null,
      "property2": null
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "startedAt": "2019-08-24T14:15:22Z",
    "finishedAt": "2019-08-24T14:15:22Z"
  }
]
{
  "defined": true,
  "code": "BAD_REQUEST",
  "status": 400,
  "message": "Bad Request",
  "data": null
}
{
  "defined": true,
  "code": "UNAUTHORIZED",
  "status": 401,
  "message": "Unauthorized",
  "data": null
}
{
  "defined": true,
  "code": "FORBIDDEN",
  "status": 403,
  "message": "Forbidden",
  "data": null
}
{
  "defined": true,
  "code": "NOT_FOUND",
  "status": 404,
  "message": "Not Found",
  "data": null
}
{
  "defined": true,
  "code": "NOT_ACCEPTABLE",
  "status": 406,
  "message": "Not Acceptable",
  "data": null
}
{
  "defined": true,
  "code": "TIMEOUT",
  "status": 408,
  "message": "Request Timeout",
  "data": null
}
{
  "defined": true,
  "code": "CONFLICT",
  "status": 409,
  "message": "Conflict",
  "data": null
}
{
  "defined": true,
  "code": "PRECONDITION_FAILED",
  "status": 412,
  "message": "Precondition Failed",
  "data": null
}
{
  "defined": true,
  "code": "TOO_MANY_REQUESTS",
  "status": 429,
  "message": "Too Many Requests",
  "data": null
}
{
  "defined": true,
  "code": "INTERNAL_SERVER_ERROR",
  "status": 500,
  "message": "Internal Server Error",
  "data": null
}